 /********************************************************
 *                                                       *
 *               P O S T _ R C B                         *
 *                                                       *
 *   Function : Searching for the RCB in wait chain      *
 *    and post it for proceeding the verb processing.    *
 *   Input    : pointer to RCB.                          *
 *   Output   : if rcb was found, set lupost to 1,       *
 *              otherwise do nothing.                    *
 *                                                       *
 * CopyRight 1995. Nicholas Poljakov all rights reserved.*
 *                                                       *
 ********************************************************/
#include <rcb.h>
#include <psp.h>
#include <stdio.h>

struct psp psp_ini;
extern char lupost;

post_rcb(p_rcb)
struct rcb *p_rcb;
{
    struct rcb *t_rcb;

    if (psp_ini.wait_chain == NULL) {
        return (0);
    }
    t_rcb = psp_ini.wait_chain;
    if (t_rcb == p_rcb) {
        lupost = 1;
    }
    return (0);
}


